/*
   Program:	notin - shows characters not in a file
   Date:	Feb  3, 1981
   Author:	Dick Grune
   $Id: notin.c,v 1.3 2010-03-25 07:24:13 dick Exp $
*/

#include	"lib/driver.bdy"

static void
process(const char *iname, FILE *ifile) {
	char found[256];
	int i;

	printf("%s: ", iname);
	if (ifile == NULL) {
		printf("cannot open\n");
		return;
	}

	for (i = 0; i < 255; i++) {
		found[i] = 0;
	}

	while ((i = getc(ifile)) != EOF) {
		found[i] = 1;
	}

	for (i = 040; i < 0177; i++) {
		if (found[i] == 0) {
			putchar(i);
		}
	}
	putchar('\n');
}
